#tag Module
Protected Module ClassIntrospectionExtension
	#tag Method, Flags = &h0
		Function IntroInfo(extends f as Object) As Xojo.Introspection.TypeInfo
		  return xojo.Introspection.GetType(f)
		End Function
	#tag EndMethod

	#tag Method, Flags = &h0
		Function IntrospectedMethod(extends r as object, Methodname as String) As Xojo.Introspection.MethodInfo
		  Dim methods() As Xojo.Introspection.MethodInfo = r.Methods
		  For q As Integer = 0 To Methods.Ubound
		    Dim method As Xojo.Introspection.MethodInfo = Methods(q)
		    If method.Name = Methodname Then
		      Return method
		    End If
		  Next
		  
		End Function
	#tag EndMethod

	#tag Method, Flags = &h0
		Function Method(extends f as object, MethodName as string) As Xojo.Introspection.MethodInfo
		  Dim methods() As Xojo.Introspection.MethodInfo = f.methods
		  For q As Integer = 0 To Methods.Ubound
		    Dim m As Xojo.Introspection.MethodInfo = methods(q)
		    If m.Name = MethodName Then Return m
		  Next
		End Function
	#tag EndMethod

	#tag Method, Flags = &h0
		Function Methods(extends f as object) As Xojo.Introspection.MethodInfo()
		  return f.introinfo.methods
		End Function
	#tag EndMethod

	#tag Method, Flags = &h0
		Function Properties(extends f as object) As Xojo.Introspection.PropertyInfo()
		  Return f.IntroInfo.Properties
		  
		End Function
	#tag EndMethod


	#tag ViewBehavior
		#tag ViewProperty
			Name="Name"
			Visible=true
			Group="ID"
			Type="String"
		#tag EndViewProperty
		#tag ViewProperty
			Name="Index"
			Visible=true
			Group="ID"
			InitialValue="-2147483648"
			Type="Integer"
		#tag EndViewProperty
		#tag ViewProperty
			Name="Super"
			Visible=true
			Group="ID"
			Type="String"
		#tag EndViewProperty
		#tag ViewProperty
			Name="Left"
			Visible=true
			Group="Position"
			InitialValue="0"
			Type="Integer"
		#tag EndViewProperty
		#tag ViewProperty
			Name="Top"
			Visible=true
			Group="Position"
			InitialValue="0"
			Type="Integer"
		#tag EndViewProperty
	#tag EndViewBehavior
End Module
#tag EndModule
