#tag Module
Protected Module ReportDocumentExtension
	#tag Method, Flags = &h0
		Sub AddPage(extends r as Reports.RBReportDocument)
		  Static _AddPage As Xojo.Introspection.MethodInfo
		  If _AddPage = Nil Then 
		    _Addpage = r.introspectedmethod("AddPage")
		  End If
		  _AddPage.Invoke(r)
		End Sub
	#tag EndMethod

	#tag Method, Flags = &h0
		Function SetSize(extends r as reports.RBReportDocument, width as int64, height as int64) As String
		  Static _SetSize As Xojo.Introspection.MethodInfo
		  If _SetSize = Nil Then 
		    Dim methods() As Xojo.Introspection.MethodInfo = r.Methods
		    For q As Integer = 0 To Methods.Ubound
		      Dim method As Xojo.Introspection.MethodInfo = Methods(q)
		      If method.Name = "SetSize" Then
		        _SetSize = method
		        Exit For
		      End If
		    Next
		  End If
		  Dim a() As Auto
		  a.Append width
		  a.Append height
		  _SetSize.Invoke(r, a)
		End Function
	#tag EndMethod


	#tag ViewBehavior
		#tag ViewProperty
			Name="Name"
			Visible=true
			Group="ID"
			Type="String"
		#tag EndViewProperty
		#tag ViewProperty
			Name="Index"
			Visible=true
			Group="ID"
			InitialValue="-2147483648"
			Type="Integer"
		#tag EndViewProperty
		#tag ViewProperty
			Name="Super"
			Visible=true
			Group="ID"
			Type="String"
		#tag EndViewProperty
		#tag ViewProperty
			Name="Left"
			Visible=true
			Group="Position"
			InitialValue="0"
			Type="Integer"
		#tag EndViewProperty
		#tag ViewProperty
			Name="Top"
			Visible=true
			Group="Position"
			InitialValue="0"
			Type="Integer"
		#tag EndViewProperty
	#tag EndViewBehavior
End Module
#tag EndModule
